Subject: bug#17137: autoload-generate-file-autoloads should respect finder--builtins-alist

From: Glenn Morris <[email-masked]>
Date: Mon, 31 Mar 2014 14:51:07 -0400

Stefan Monnier wrote:

>>> I also remember now that maybe autoload-generate-file-autoloads should
>>> simply use autoload-file-load-name instead of file-name-nondirectory.
>> Can package names contain "/" characters?
>
> Don't see why not.

I'm thinking of things like NAME-readme.txt, where NAME is eg FOO/BAR.
I would not be surprised if package.el starts throwing "No such
directory: FOO" errors. But I haven't bothered to check. A quick glance
shows that it always calls make-directory with PARENTS non-nil, so maybe
it all works out.